std::hash< shared_ptr< _Tp > > Struct Template Reference
Pointer Abstractions

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const shared_ptr< _Tp > &__s) const noexcept

## Detailed Description

### template<typename _Tp>
struct std::hash< shared_ptr< _Tp > >

std::hash specialization for shared_ptr.

Definition at line 609 of file shared_ptr.h.

The documentation for this struct was generated from the following file:

- shared_ptr.h